Bug 867867 - Migration of CPU pinned VM's is enabled by default
Migration of CPU pinned VM's is enabled by default
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Noam Slomianko
Ido Begun
sla
:
Depends On:
Blocks: 905388
  Show dependency treegraph
 
Reported: 2012-10-18 09:17 EDT by Ido Begun
Modified: 2016-02-10 15:17 EST (History)
10 users (show)

See Also:
Fixed In Version: si22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 905388 (view as bug list)
Environment:
Last Closed: 2012-12-04 14:59:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ido Begun 2012-10-18 09:17:42 EDT
Description of problem:
Currently migration of CPU pinned VM's is disabled on downstream, but CpuPinMigrationEnabled is set to true.

Version-Release number of selected component (if applicable):
rhevm-3.1.0-20.el6ev

How reproducible:
100%

Steps to Reproduce:
After running rhevm-setup, run:
echo "select * from vdc_options where option_name='CpuPinMigrationEnabled'" | psql -U postgres -d engine

  
Actual results:
CpuPinMigrationEnabled is set to true

Expected results:
CpuPinMigrationEnabled should be set to false

Additional info:
Comment 1 Doron Fediuck 2012-10-18 10:15:04 EDT
Indeed RHEV should have CpuPinMigrationEnabled set to false.
Comment 2 Simon Grinberg 2012-10-21 13:13:27 EDT
Indeed, however you must give a good explanation of this parameter in RHEV Config file for the implication of setting to true

Something like: If set to true, allows migration for Virtual Machines that have CPU pinning. Note that the migration may fail if the destination host does not have a topology that corresponds to the CPU pinning.  It is recommended allowing this only if all the hosts in the cluster have the same CPU topology.


Doron, do we also enforce pin to host? If not then what happens if the scheduler tries to run it on a host that does not have a matching topology? If yes, what happens if the values set in the field do not match the selected host?
Comment 3 Doron Fediuck 2012-10-21 14:34:16 EDT
Some more info as I wrote in a related bug 867039:
CPU pinning is controlled by 2 configurations;
CpuPinningEnabled configuration value, which has cluster compatibility level and has to be true in the first place.
Next, CpuPinMigrationEnabled configuration value should be set to True to enable pinning. Otherwise pinning is disabled.

Another valid combination for pinning is CpuPinMigrationEnabled set to false, and one of the pin-to-host radio buttons in the UI is checked.

So in first combination, we allow pinned VMs to be migrated. This is what upstream is doing.
In the other combination, we'll only allow pinning if the VM is pinned to host.
This is the default we need, in order to protect from marking hosts as problematic in case of multiple migration failure.
Comment 5 Ido Begun 2012-10-24 05:18:14 EDT
OK - SI22

CpuPinMigrationEnabled is now set to false by default.

Note You need to log in before you can comment on or make changes to this bug.